I'm looking to force the upgrade of my phone to 1.3.5.

Why? It keeps saying it's unable to connect on Wi-Fi and that the network is too slow elsewhere. I don't have any patches, themes, or homebrew apps installed so I'm not sure why I'm having this problem.

So, I'm wondering if there's some kind of way that I can do the install myself or using some kind of tool?

*rolls up sleeves*